services:
    akeneo_connectivity.connection.persistence.query.select_connections:
        class: 'Akeneo\Connectivity\Connection\Infrastructure\Persistence\InMemory\Query\InMemorySelectConnectionsQuery'
        arguments:
            - '@akeneo_connectivity.connection.persistence.repository.connection'

    akeneo_connectivity.connection.persistence.query.select_connection_with_credentials_by_code:
        class: 'Akeneo\Connectivity\Connection\Infrastructure\Persistence\InMemory\Query\InMemorySelectConnectionWithCredentialsByCodeQuery'
        arguments:
            - '@akeneo_connectivity.connection.persistence.repository.connection'
            - '@Akeneo\Connectivity\Connection\Infrastructure\Persistence\InMemory\Repository\InMemoryUserPermissionsRepository'
